GDB (xrefs)

Public Attributes | List of all members
gdb_osabi_handler Struct Reference

## Public Attributes
struct gdb_osabi_handler * | next
const struct bfd_arch_info * | arch_info
enum gdb_osabi | osabi
void(* | init_osabi )(struct gdbarch_info, struct gdbarch *)

## Detailed Description

Definition at line 132 of file osabi.c.

## Member Data Documentation

## ◆ arch_info

const struct bfd_arch_info* gdb_osabi_handler::arch_info

Definition at line 135 of file osabi.c.

Referenced by gdbarch_init_osabi().

## ◆ init_osabi

void(* gdb_osabi_handler::init_osabi) (struct gdbarch_info, struct gdbarch *)

Definition at line 137 of file osabi.c.

Referenced by gdbarch_init_osabi().

## ◆ next

struct gdb_osabi_handler* gdb_osabi_handler::next

Definition at line 134 of file osabi.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), gdbarch_init_osabi(), and gdbarch_register_osabi().

## ◆ osabi

enum gdb_osabi gdb_osabi_handler::osabi

Definition at line 136 of file osabi.c.

Referenced by gdbarch_init_osabi(), generic_elf_osabi_sniff_abi_tag_sections(), and generic_elf_osabi_sniffer().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/osabi.c